% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CVE.R
\name{cve}
\alias{cve}
\alias{cve.call}
\title{Implementation of the CVE method.}
\usage{
cve(formula, data, method = "simple", ...)

cve.call(X, Y, method = "simple", nObs = nrow(X)^0.5, k, ...)
}
\arguments{
\item{formula}{Formel for the regression model defining `X`, `Y`.
See: \code{\link{formula}}.}

\item{data}{data.frame holding data for formula.}

\item{method}{The different only differe in the used optimization.
 All of them are Gradient based optimization on a Stiefel manifold.
\itemize{
     \item "simple" Simple reduction of stepsize.
     \item "linesearch" determines stepsize with backtracking linesearch
         using Armijo-Wolf conditions.
     \item TODO: further
}}

\item{...}{Further parameters depending on the used method.
TODO: See ...}
}
\description{
Conditional Variance Estimator (CVE) is a novel sufficient dimension
reduction (SDR) method assuming a model
\deqn{Y \sim g(B'X) + \epsilon}{Y ~ g(B'X) + epsilon}
where B'X is a lower dimensional projection of the predictors.
}
\examples{
library(CVE)
ds <- dataset("M5")
X <- ds$X
Y <- ds$Y
dr <- cve(Y ~ X, k = 1)

}
\references{
Fertl L, Bura E. Conditional Variance Estimation for Sufficient Dimension Reduction, 2019
}
